public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2015-12-19 19:07 Brian Evans
  0 siblings, 0 replies; 20+ messages in thread
From: Brian Evans @ 2015-12-19 19:07 UTC (permalink / raw
  To: gentoo-commits

commit:     ff1eb9646b9d754d931f111c3439d4b42ef1eea2
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 19 19:06:59 2015 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Sat Dec 19 19:06:59 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff1eb964

www-plugins/freshplayerplugin: Revbump to fix missing dependency wrt bug 568804

Package-Manager: portage-2.2.26

 .../freshplayerplugin-0.3.3-r2.ebuild              | 85 ++++++++++++++++++++++
 1 file changed, 85 insertions(+)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3-r2.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3-r2.ebuild
new file mode 100644
index 0000000..026762b
--- /dev/null
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3-r2.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+CMAKE_MIN_VERSION="2.8.8"
+
+inherit cmake-utils multilib
+
+LICENSE="MIT"
+HOMEPAGE="https://github.com/i-rinat/freshplayerplugin"
+DESCRIPTION="PPAPI-host NPAPI-plugin adapter for flashplayer in npapi based browsers"
+SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SLOT=0
+IUSE="gtk3 jack libav libressl pulseaudio vaapi vdpau"
+
+KEYWORDS="~amd64 ~x86"
+
+HWDEC_DEPEND="
+	libav? ( media-video/libav:0=[vaapi?,vdpau?,x264] )
+	!libav? ( media-video/ffmpeg:0=[vaapi?,vdpau?,x264] )
+	x11-libs/libva
+	x11-libs/libvdpau
+"
+
+COMMON_DEPEND="
+	dev-libs/glib:2=
+	dev-libs/libevent:=[threads]
+	media-libs/alsa-lib:=
+	media-libs/freetype:2=
+	media-libs/libv4l:0=
+	media-libs/mesa:=[egl,gles2]
+	x11-libs/libXrandr:=
+	x11-libs/libXrender:=
+	x11-libs/libdrm:=
+	x11-libs/pango:=[X]
+	jack? (
+		media-sound/jack-audio-connection-kit
+		media-libs/soxr
+	)
+	pulseaudio? ( media-sound/pulseaudio )
+	!gtk3? ( x11-libs/gtk+:2= )
+	gtk3? ( x11-libs/gtk+:3= )
+	libressl? ( dev-libs/libressl:0= )
+	!libressl? ( dev-libs/openssl:0= )
+	vaapi? ( ${HWDEC_DEPEND} )
+	vdpau? ( ${HWDEC_DEPEND} )
+"
+
+DEPEND="${COMMON_DEPEND}
+	dev-util/ragel
+	virtual/pkgconfig
+	"
+RDEPEND="${COMMON_DEPEND}
+	|| (
+		www-plugins/chrome-binary-plugins[flash]
+		www-client/google-chrome
+		www-client/google-chrome-beta
+		www-client/google-chrome-unstable
+	)
+	"
+
+PATCHES=( "${FILESDIR}/0.2.4-cmake.patch" )
+
+src_configure() {
+	mycmakeargs=(
+		$(cmake-utils_use_with jack JACK)
+		$(cmake-utils_use_with pulseaudio PULSEAUDIO)
+		-DWITH_GTK=$(usex gtk3 3 2)
+		-DCMAKE_SKIP_RPATH=1
+	)
+	if use vaapi || use vdpau ; then
+		mycmakeargs+=( -DWITH_HWDEC=1 )
+	else
+		mycmakeargs+=( -DWITH_HWDEC=0 )
+	fi
+	cmake-utils_src_configure
+}
+
+src_install() {
+	dodoc ChangeLog data/freshwrapper.conf.example README.md
+	exeinto /usr/$(get_libdir)/nsbrowser/plugins
+	doexe "${BUILD_DIR}/libfreshwrapper-flashplayer.so"
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2020-04-26  7:44 Mikle Kolyada
  0 siblings, 0 replies; 20+ messages in thread
From: Mikle Kolyada @ 2020-04-26  7:44 UTC (permalink / raw
  To: gentoo-commits

commit:     909efe1f994a586dc137bd50613723d6ca17fef4
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 26 07:29:17 2020 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sun Apr 26 07:29:17 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=909efe1f

www-plugins/freshplayerplugin: migrate from libav

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 www-plugins/freshplayerplugin/freshplayerplugin-0.3.9-r1.ebuild | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.9-r1.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.9-r1.ebuild
index 488069f26f1..020fa45b2c5 100644
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.9-r1.ebuild
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.9-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -10,13 +10,11 @@ HOMEPAGE="https://github.com/i-rinat/freshplayerplugin"
 DESCRIPTION="PPAPI-host NPAPI-plugin adapter for flashplayer in npapi based browsers"
 SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 SLOT=0
-IUSE="gles2-only jack libav libressl pulseaudio v4l vaapi vdpau"
+IUSE="gles2-only jack libressl pulseaudio v4l vaapi vdpau"
 
 KEYWORDS="amd64"
 
-HWDEC_DEPEND="
-	libav? ( media-video/libav:0=[vaapi?,vdpau?] )
-	!libav? ( media-video/ffmpeg:0=[vaapi?,vdpau?] )
+HWDEC_DEPEND="media-video/ffmpeg:0=[vaapi?,vdpau?]
 	x11-libs/libvdpau
 "
 


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2020-04-03 14:57 Andreas Sturmlechner
  0 siblings, 0 replies; 20+ messages in thread
From: Andreas Sturmlechner @ 2020-04-03 14:57 UTC (permalink / raw
  To: gentoo-commits

commit:     8555f014d0ed6d453e8d1f6f3553ff4169ddc77f
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Sat Nov 23 10:11:09 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Apr  3 14:56:44 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8555f014

www-plugins/freshplayerplugin: rename USE=gles2 to USE=gles2-only

Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 ...playerplugin-0.3.9.ebuild => freshplayerplugin-0.3.9-r1.ebuild} | 7 ++++---
 www-plugins/freshplayerplugin/metadata.xml                         | 1 -
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.9.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.9-r1.ebuild
similarity index 91%
rename from www-plugins/freshplayerplugin/freshplayerplugin-0.3.9.ebuild
rename to www-plugins/freshplayerplugin/freshplayerplugin-0.3.9-r1.ebuild
index ffb3b7a382c..488069f26f1 100644
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.9.ebuild
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.9-r1.ebuild
@@ -10,7 +10,7 @@ HOMEPAGE="https://github.com/i-rinat/freshplayerplugin"
 DESCRIPTION="PPAPI-host NPAPI-plugin adapter for flashplayer in npapi based browsers"
 SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 SLOT=0
-IUSE="gles2 jack libav libressl pulseaudio v4l vaapi vdpau"
+IUSE="gles2-only jack libav libressl pulseaudio v4l vaapi vdpau"
 
 KEYWORDS="amd64"
 
@@ -26,7 +26,8 @@ COMMON_DEPEND="
 	dev-libs/libevent:=[threads]
 	media-libs/alsa-lib:=
 	media-libs/freetype:2=
-	media-libs/mesa:=[egl,gles2?]
+	media-libs/mesa:=[egl]
+	gles2-only? ( media-libs/mesa[gles2] )
 	x11-libs/cairo:=[X]
 	x11-libs/libXcursor:=
 	x11-libs/libXrandr:=
@@ -65,7 +66,7 @@ src_configure() {
 	mycmakeargs=(
 		-DWITH_JACK=$(usex jack)
 		-DWITH_PULSEAUDIO=$(usex pulseaudio)
-		-DWITH_GLES2=$(usex gles2)
+		-DWITH_GLES2=$(usex gles2-only)
 		-DWITH_LIBV4L2=$(usex v4l)
 		-DCMAKE_SKIP_RPATH=1
 	)

diff --git a/www-plugins/freshplayerplugin/metadata.xml b/www-plugins/freshplayerplugin/metadata.xml
index d335982d456..529020d6dc7 100644
--- a/www-plugins/freshplayerplugin/metadata.xml
+++ b/www-plugins/freshplayerplugin/metadata.xml
@@ -3,7 +3,6 @@
 <pkgmetadata>
 	<!--maintainer-needed-->
 	<use>
-		<flag name="gles2">Use system GLESv2 libraries instead of ANGLE for shader translation</flag>
 		<flag name="v4l">Use libv4l2 for colorspace conversion</flag>
 	</use>
 	<upstream>


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2018-05-29  8:28 Mikle Kolyada
  0 siblings, 0 replies; 20+ messages in thread
From: Mikle Kolyada @ 2018-05-29  8:28 UTC (permalink / raw
  To: gentoo-commits

commit:     6945ed276d4f70bbb48c2114d206e80b390e69e1
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Tue May 29 08:28:12 2018 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Tue May 29 08:28:12 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6945ed27

www-plugins/freshplayerplugin: amd64 stable wrt bug #656508

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 www-plugins/freshplayerplugin/freshplayerplugin-0.3.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.9.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.9.ebuild
index 10431d90e8b..ea0561a1957 100644
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.9.ebuild
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.9.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 SLOT=0
 IUSE="gles2 jack libav libressl pulseaudio v4l vaapi vdpau"
 
-KEYWORDS="~amd64"
+KEYWORDS="amd64"
 
 HWDEC_DEPEND="
 	libav? ( media-video/libav:0=[vaapi?,vdpau?] )


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2018-05-25 17:35 Pacho Ramos
  0 siblings, 0 replies; 20+ messages in thread
From: Pacho Ramos @ 2018-05-25 17:35 UTC (permalink / raw
  To: gentoo-commits

commit:     0fe458b71f44c149344c78c598d0b6afac53200d
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Fri May 25 16:39:32 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri May 25 17:35:10 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0fe458b7

www-plugins/freshplayerplugin: libva is always needed (#644936)

Package-Manager: Portage-2.3.38, Repoman-2.3.9

 www-plugins/freshplayerplugin/freshplayerplugin-0.3.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.9.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.9.ebuild
index 4348e877cbf..10431d90e8b 100644
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.9.ebuild
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.9.ebuild
@@ -17,7 +17,6 @@ KEYWORDS="~amd64"
 HWDEC_DEPEND="
 	libav? ( media-video/libav:0=[vaapi?,vdpau?] )
 	!libav? ( media-video/ffmpeg:0=[vaapi?,vdpau?] )
-	x11-libs/libva:=
 	x11-libs/libvdpau
 "
 
@@ -33,6 +32,7 @@ COMMON_DEPEND="
 	x11-libs/libXrandr:=
 	x11-libs/libXrender:=
 	x11-libs/libdrm:=
+	x11-libs/libva:=
 	x11-libs/pango:=[X]
 	jack? (
 		media-sound/jack-audio-connection-kit


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2018-05-05 19:43 Brian Evans
  0 siblings, 0 replies; 20+ messages in thread
From: Brian Evans @ 2018-05-05 19:43 UTC (permalink / raw
  To: gentoo-commits

commit:     8940588053e4e55594774c22ab49ac924814f81c
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Sat May  5 19:39:14 2018 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Sat May  5 19:39:14 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89405880

www-plugins/freshplayerplugin: Drop maintainership

Package-Manager: Portage-2.3.36, Repoman-2.3.9

 www-plugins/freshplayerplugin/metadata.xml | 4 ----
 1 file changed, 4 deletions(-)

diff --git a/www-plugins/freshplayerplugin/metadata.xml b/www-plugins/freshplayerplugin/metadata.xml
index fccc5290bc7..9355f3dea45 100644
--- a/www-plugins/freshplayerplugin/metadata.xml
+++ b/www-plugins/freshplayerplugin/metadata.xml
@@ -1,10 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<maintainer type="person">
-		<email>grknight@gentoo.org</email>
-		<name>Brian Evans</name>
-	</maintainer>
 	<use>
 		<flag name="gles2">Use system GLESv2 libraries instead of ANGLE for shader translation</flag>
 		<flag name="gtk3">Build with GTK+ 3 instead of GTK+ 2</flag>


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2017-07-10  0:21 Brian Evans
  0 siblings, 0 replies; 20+ messages in thread
From: Brian Evans @ 2017-07-10  0:21 UTC (permalink / raw
  To: gentoo-commits

commit:     7f075311e9664e5f0d6271626c395f60a65924e2
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 10 00:20:39 2017 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Mon Jul 10 00:21:33 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f075311

www-plugins/freshplayerplugin: Version bump to 0.3.7

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 www-plugins/freshplayerplugin/Manifest             |  1 +
 .../freshplayerplugin-0.3.7.ebuild                 | 77 ++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/www-plugins/freshplayerplugin/Manifest b/www-plugins/freshplayerplugin/Manifest
index 58cfd8dacfd..f080808fc70 100644
--- a/www-plugins/freshplayerplugin/Manifest
+++ b/www-plugins/freshplayerplugin/Manifest
@@ -1 +1,2 @@
 DIST freshplayerplugin-0.3.5.tar.gz 781003 SHA256 b08f7c6690de13b1e358fef4cab41cb303b9e80b3504678e94c9646f44dd7104 SHA512 dd447db4cbfdb80b89ff42894099971c100023d19fe5fbad023d5ac1afa827fdc5a169a03f4702ffda3cf6e0dd9c63217b68d97d047ac43afc22f488020a0ba0 WHIRLPOOL cf22758e0ed947db27e8e6e053f17bafc425beebebd9314008eef105e828a0a51f73fd42f2d0c00e12e56f817e2b9078baeb55bd54a6c6a55e8ebd00d2e27ccc
+DIST freshplayerplugin-0.3.7.tar.gz 789974 SHA256 e4c67ff382aacbdf6ecc45095fa48c582e89ce70f94fe6499e00f7d664d5e05f SHA512 9ef534b873833d69caa86a5702ad6150e4aa2fe399159a550b6cb0ebad2754d25e185c54b6285f6f50913c5595c5b460ce3e0d21ac45f0d25793805463ce1d5d WHIRLPOOL f6e6c64c055d85eaf79da62ad24be04def3fa3f5167910e7854b9a633c8b9618dd0629bc8553d2fbc73b7e4f7006b18e0de150be6eb1807b90079e84826956cc

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.7.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.7.ebuild
new file mode 100644
index 00000000000..7f1968d1257
--- /dev/null
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.7.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils
+
+LICENSE="MIT"
+HOMEPAGE="https://github.com/i-rinat/freshplayerplugin"
+DESCRIPTION="PPAPI-host NPAPI-plugin adapter for flashplayer in npapi based browsers"
+SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SLOT=0
+IUSE="gles2 gtk3 jack libav libressl pulseaudio v4l vaapi vdpau"
+
+KEYWORDS="~amd64"
+
+HWDEC_DEPEND="
+	libav? ( media-video/libav:0=[vaapi?,vdpau?] )
+	!libav? ( media-video/ffmpeg:0=[vaapi?,vdpau?] )
+	x11-libs/libva
+	x11-libs/libvdpau
+"
+
+COMMON_DEPEND="
+	dev-libs/glib:2=
+	dev-libs/icu:0=
+	dev-libs/libevent:=[threads]
+	media-libs/alsa-lib:=
+	media-libs/freetype:2=
+	media-libs/mesa:=[egl,gles2?]
+	x11-libs/cairo:=[X]
+	x11-libs/libXcursor:=
+	x11-libs/libXrandr:=
+	x11-libs/libXrender:=
+	x11-libs/libdrm:=
+	x11-libs/pango:=[X]
+	jack? (
+		media-sound/jack-audio-connection-kit
+		media-libs/soxr
+	)
+	pulseaudio? ( media-sound/pulseaudio )
+	!gtk3? ( x11-libs/gtk+:2= )
+	gtk3? ( x11-libs/gtk+:3= )
+	libressl? ( dev-libs/libressl:0= )
+	!libressl? ( dev-libs/openssl:0= )
+	v4l? ( media-libs/libv4l:0= )
+	vaapi? ( ${HWDEC_DEPEND} )
+	vdpau? ( ${HWDEC_DEPEND} )
+"
+
+DEPEND="${COMMON_DEPEND}
+	dev-util/ragel
+	virtual/pkgconfig
+	"
+RDEPEND="${COMMON_DEPEND}
+	www-plugins/adobe-flash:22[abi_x86_64,ppapi(+)]
+	"
+
+PATCHES=( "${FILESDIR}/0.3.5-cmake.patch" )
+DOCS=( ChangeLog data/freshwrapper.conf.example README.md )
+
+src_configure() {
+	mycmakeargs=(
+		-DWITH_JACK=$(usex jack)
+		-DWITH_PULSEAUDIO=$(usex pulseaudio)
+		-DWITH_GTK=$(usex gtk3 3 2)
+		-DWITH_GLES2=$(usex gles2)
+		-DWITH_LIBV4L2=$(usex v4l)
+		-DCMAKE_SKIP_RPATH=1
+	)
+	if use vaapi || use vdpau ; then
+		mycmakeargs+=( -DWITH_HWDEC=1 )
+	else
+		mycmakeargs+=( -DWITH_HWDEC=0 )
+	fi
+	cmake-utils_src_configure
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2016-12-23 10:11 Johannes Huber
  0 siblings, 0 replies; 20+ messages in thread
From: Johannes Huber @ 2016-12-23 10:11 UTC (permalink / raw
  To: gentoo-commits

commit:     c0cefff99132228c64b975b01b68d5fb359194e6
Author:     Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 23 09:59:25 2016 +0000
Commit:     Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Fri Dec 23 10:11:32 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c0cefff9

www-plugins/freshplayerplugin: Drop CMAKE_MIN_VERSION

Covered by cmake-utils eclass now.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r2.ebuild | 2 --
 www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r3.ebuild | 2 --
 2 files changed, 4 deletions(-)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r2.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r2.ebuild
index e1f78b3..69992df 100644
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r2.ebuild
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r2.ebuild
@@ -4,8 +4,6 @@
 
 EAPI=6
 
-CMAKE_MIN_VERSION="2.8.8"
-
 inherit cmake-utils
 
 LICENSE="MIT"

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r3.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r3.ebuild
index 81b5c85..eddd229 100644
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r3.ebuild
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r3.ebuild
@@ -4,8 +4,6 @@
 
 EAPI=6
 
-CMAKE_MIN_VERSION="2.8.8"
-
 inherit cmake-utils
 
 LICENSE="MIT"


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2016-11-10  4:13 Brian Evans
  0 siblings, 0 replies; 20+ messages in thread
From: Brian Evans @ 2016-11-10  4:13 UTC (permalink / raw
  To: gentoo-commits

commit:     47e76bc476a5c812a6ed250aa7b6388f75902fe2
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 10 04:13:36 2016 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Thu Nov 10 04:13:36 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47e76bc4

www-plugins/freshplayerplugin: Revbump to update dependencies

Package-Manager: portage-2.3.2

 .../freshplayerplugin-0.3.5-r3.ebuild              | 80 ++++++++++++++++++++++
 1 file changed, 80 insertions(+)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r3.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r3.ebuild
new file mode 100644
index 00000000..81b5c85
--- /dev/null
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r3.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+CMAKE_MIN_VERSION="2.8.8"
+
+inherit cmake-utils
+
+LICENSE="MIT"
+HOMEPAGE="https://github.com/i-rinat/freshplayerplugin"
+DESCRIPTION="PPAPI-host NPAPI-plugin adapter for flashplayer in npapi based browsers"
+SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SLOT=0
+IUSE="gles2 gtk3 jack libav libressl pulseaudio v4l vaapi vdpau"
+
+KEYWORDS="~amd64"
+
+HWDEC_DEPEND="
+	libav? ( media-video/libav:0=[vaapi?,vdpau?] )
+	!libav? ( media-video/ffmpeg:0=[vaapi?,vdpau?] )
+	x11-libs/libva
+	x11-libs/libvdpau
+"
+
+COMMON_DEPEND="
+	dev-libs/glib:2=
+	dev-libs/icu:0=
+	dev-libs/libevent:=[threads]
+	media-libs/alsa-lib:=
+	media-libs/freetype:2=
+	media-libs/mesa:=[egl,gles2?]
+	x11-libs/cairo:=[X]
+	x11-libs/libXcursor:=
+	x11-libs/libXrandr:=
+	x11-libs/libXrender:=
+	x11-libs/libdrm:=
+	x11-libs/pango:=[X]
+	jack? (
+		media-sound/jack-audio-connection-kit
+		media-libs/soxr
+	)
+	pulseaudio? ( media-sound/pulseaudio )
+	!gtk3? ( x11-libs/gtk+:2= )
+	gtk3? ( x11-libs/gtk+:3= )
+	libressl? ( dev-libs/libressl:0= )
+	!libressl? ( dev-libs/openssl:0= )
+	v4l? ( media-libs/libv4l:0= )
+	vaapi? ( ${HWDEC_DEPEND} )
+	vdpau? ( ${HWDEC_DEPEND} )
+"
+
+DEPEND="${COMMON_DEPEND}
+	dev-util/ragel
+	virtual/pkgconfig
+	"
+RDEPEND="${COMMON_DEPEND}
+	www-plugins/adobe-flash:22[abi_x86_64,ppapi(+)]
+	"
+
+PATCHES=( "${FILESDIR}/0.3.5-cmake.patch" "${FILESDIR}/0.3.4-git-revision.patch" )
+DOCS=( ChangeLog data/freshwrapper.conf.example README.md )
+
+src_configure() {
+	mycmakeargs=(
+		-DWITH_JACK=$(usex jack)
+		-DWITH_PULSEAUDIO=$(usex pulseaudio)
+		-DWITH_GTK=$(usex gtk3 3 2)
+		-DWITH_GLES2=$(usex gles2)
+		-DWITH_LIBV4L2=$(usex v4l)
+		-DCMAKE_SKIP_RPATH=1
+	)
+	if use vaapi || use vdpau ; then
+		mycmakeargs+=( -DWITH_HWDEC=1 )
+	else
+		mycmakeargs+=( -DWITH_HWDEC=0 )
+	fi
+	cmake-utils_src_configure
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2016-10-13 19:07 Brian Evans
  0 siblings, 0 replies; 20+ messages in thread
From: Brian Evans @ 2016-10-13 19:07 UTC (permalink / raw
  To: gentoo-commits

commit:     7479b0011097889ab33a7704948057c9aa6e4dd2
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 13 19:05:38 2016 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Thu Oct 13 19:05:38 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7479b001

www-plugins/freshplayerplugin: Version bump to remove bad dependencies

chrome-binary-plugins and google-chrome no longer provide flash

Package-Manager: portage-2.3.2

 .../freshplayerplugin-0.3.5-r2.ebuild              | 80 ++++++++++++++++++++++
 1 file changed, 80 insertions(+)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r2.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r2.ebuild
new file mode 100644
index 00000000..8adae56
--- /dev/null
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r2.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+CMAKE_MIN_VERSION="2.8.8"
+
+inherit cmake-utils
+
+LICENSE="MIT"
+HOMEPAGE="https://github.com/i-rinat/freshplayerplugin"
+DESCRIPTION="PPAPI-host NPAPI-plugin adapter for flashplayer in npapi based browsers"
+SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SLOT=0
+IUSE="gles2 gtk3 jack libav libressl pulseaudio v4l vaapi vdpau"
+
+KEYWORDS="~amd64"
+
+HWDEC_DEPEND="
+	libav? ( media-video/libav:0=[vaapi?,vdpau?] )
+	!libav? ( media-video/ffmpeg:0=[vaapi?,vdpau?] )
+	x11-libs/libva
+	x11-libs/libvdpau
+"
+
+COMMON_DEPEND="
+	dev-libs/glib:2=
+	dev-libs/icu:0=
+	dev-libs/libevent:=[threads]
+	media-libs/alsa-lib:=
+	media-libs/freetype:2=
+	media-libs/mesa:=[egl,gles2?]
+	x11-libs/cairo:=[X]
+	x11-libs/libXcursor:=
+	x11-libs/libXrandr:=
+	x11-libs/libXrender:=
+	x11-libs/libdrm:=
+	x11-libs/pango:=[X]
+	jack? (
+		media-sound/jack-audio-connection-kit
+		media-libs/soxr
+	)
+	pulseaudio? ( media-sound/pulseaudio )
+	!gtk3? ( x11-libs/gtk+:2= )
+	gtk3? ( x11-libs/gtk+:3= )
+	libressl? ( dev-libs/libressl:0= )
+	!libressl? ( dev-libs/openssl:0= )
+	v4l? ( media-libs/libv4l:0= )
+	vaapi? ( ${HWDEC_DEPEND} )
+	vdpau? ( ${HWDEC_DEPEND} )
+"
+
+DEPEND="${COMMON_DEPEND}
+	dev-util/ragel
+	virtual/pkgconfig
+	"
+RDEPEND="${COMMON_DEPEND}
+	www-plugins/adobe-flash:22
+	"
+
+PATCHES=( "${FILESDIR}/0.3.5-cmake.patch" "${FILESDIR}/0.3.4-git-revision.patch" )
+DOCS=( ChangeLog data/freshwrapper.conf.example README.md )
+
+src_configure() {
+	mycmakeargs=(
+		-DWITH_JACK=$(usex jack)
+		-DWITH_PULSEAUDIO=$(usex pulseaudio)
+		-DWITH_GTK=$(usex gtk3 3 2)
+		-DWITH_GLES2=$(usex gles2)
+		-DWITH_LIBV4L2=$(usex v4l)
+		-DCMAKE_SKIP_RPATH=1
+	)
+	if use vaapi || use vdpau ; then
+		mycmakeargs+=( -DWITH_HWDEC=1 )
+	else
+		mycmakeargs+=( -DWITH_HWDEC=0 )
+	fi
+	cmake-utils_src_configure
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2016-10-13 19:07 Brian Evans
  0 siblings, 0 replies; 20+ messages in thread
From: Brian Evans @ 2016-10-13 19:07 UTC (permalink / raw
  To: gentoo-commits

commit:     f1a7a1d20d684afb05f07790ee139c9522d900b5
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 13 19:07:09 2016 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Thu Oct 13 19:07:09 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1a7a1d2

www-plugins/freshplayerplugin: Drop old revision

Package-Manager: portage-2.3.2

 .../freshplayerplugin-0.3.5-r1.ebuild              | 86 ----------------------
 1 file changed, 86 deletions(-)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r1.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r1.ebuild
deleted file mode 100644
index 65d9b58..00000000
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r1.ebuild
+++ /dev/null
@@ -1,86 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=6
-
-CMAKE_MIN_VERSION="2.8.8"
-
-inherit cmake-utils
-
-LICENSE="MIT"
-HOMEPAGE="https://github.com/i-rinat/freshplayerplugin"
-DESCRIPTION="PPAPI-host NPAPI-plugin adapter for flashplayer in npapi based browsers"
-SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-SLOT=0
-IUSE="gles2 gtk3 jack libav libressl pulseaudio v4l vaapi vdpau"
-
-KEYWORDS="amd64"
-
-HWDEC_DEPEND="
-	libav? ( media-video/libav:0=[vaapi?,vdpau?] )
-	!libav? ( media-video/ffmpeg:0=[vaapi?,vdpau?] )
-	x11-libs/libva
-	x11-libs/libvdpau
-"
-
-COMMON_DEPEND="
-	dev-libs/glib:2=
-	dev-libs/icu:0=
-	dev-libs/libevent:=[threads]
-	media-libs/alsa-lib:=
-	media-libs/freetype:2=
-	media-libs/mesa:=[egl,gles2?]
-	x11-libs/cairo:=[X]
-	x11-libs/libXcursor:=
-	x11-libs/libXrandr:=
-	x11-libs/libXrender:=
-	x11-libs/libdrm:=
-	x11-libs/pango:=[X]
-	jack? (
-		media-sound/jack-audio-connection-kit
-		media-libs/soxr
-	)
-	pulseaudio? ( media-sound/pulseaudio )
-	!gtk3? ( x11-libs/gtk+:2= )
-	gtk3? ( x11-libs/gtk+:3= )
-	libressl? ( dev-libs/libressl:0= )
-	!libressl? ( dev-libs/openssl:0= )
-	v4l? ( media-libs/libv4l:0= )
-	vaapi? ( ${HWDEC_DEPEND} )
-	vdpau? ( ${HWDEC_DEPEND} )
-"
-
-DEPEND="${COMMON_DEPEND}
-	dev-util/ragel
-	virtual/pkgconfig
-	"
-RDEPEND="${COMMON_DEPEND}
-	|| (
-		www-plugins/chrome-binary-plugins[flash]
-		www-client/google-chrome
-		www-client/google-chrome-beta
-		www-client/google-chrome-unstable
-		www-plugins/adobe-flash:22
-	)
-	"
-
-PATCHES=( "${FILESDIR}/0.3.5-cmake.patch" "${FILESDIR}/0.3.4-git-revision.patch" )
-DOCS=( ChangeLog data/freshwrapper.conf.example README.md )
-
-src_configure() {
-	mycmakeargs=(
-		-DWITH_JACK=$(usex jack)
-		-DWITH_PULSEAUDIO=$(usex pulseaudio)
-		-DWITH_GTK=$(usex gtk3 3 2)
-		-DWITH_GLES2=$(usex gles2)
-		-DWITH_LIBV4L2=$(usex v4l)
-		-DCMAKE_SKIP_RPATH=1
-	)
-	if use vaapi || use vdpau ; then
-		mycmakeargs+=( -DWITH_HWDEC=1 )
-	else
-		mycmakeargs+=( -DWITH_HWDEC=0 )
-	fi
-	cmake-utils_src_configure
-}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2016-10-13 19:07 Brian Evans
  0 siblings, 0 replies; 20+ messages in thread
From: Brian Evans @ 2016-10-13 19:07 UTC (permalink / raw
  To: gentoo-commits

commit:     2af248adb43ba605f08b779edbf200d11b7e3d9d
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 13 19:06:35 2016 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Thu Oct 13 19:06:35 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2af248ad

www-plugins/freshplayerplugin: Fast stable corrected dependency revision

Package-Manager: portage-2.3.2

 www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r2.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r2.ebuild
index 8adae56..e1f78b3 100644
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r2.ebuild
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r2.ebuild
@@ -15,7 +15,7 @@ SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 SLOT=0
 IUSE="gles2 gtk3 jack libav libressl pulseaudio v4l vaapi vdpau"
 
-KEYWORDS="~amd64"
+KEYWORDS="amd64"
 
 HWDEC_DEPEND="
 	libav? ( media-video/libav:0=[vaapi?,vdpau?] )


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2016-10-13 18:14 Brian Evans
  0 siblings, 0 replies; 20+ messages in thread
From: Brian Evans @ 2016-10-13 18:14 UTC (permalink / raw
  To: gentoo-commits

commit:     2440d1e4f0d08228a91ad2dd61baab7b213bf817
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 13 18:12:23 2016 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Thu Oct 13 18:12:23 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2440d1e4

www-plugins/freshplayerplugin: Mark 0.3.5-r1 stable

Personally tested by me
Fixes only stable being masked for unresolvable deps

Package-Manager: portage-2.3.2

 www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r1.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r1.ebuild
index 29ef4d6..65d9b58 100644
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r1.ebuild
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r1.ebuild
@@ -15,7 +15,7 @@ SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 SLOT=0
 IUSE="gles2 gtk3 jack libav libressl pulseaudio v4l vaapi vdpau"
 
-KEYWORDS="~amd64"
+KEYWORDS="amd64"
 
 HWDEC_DEPEND="
 	libav? ( media-video/libav:0=[vaapi?,vdpau?] )


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2016-09-27  3:22 Brian Evans
  0 siblings, 0 replies; 20+ messages in thread
From: Brian Evans @ 2016-09-27  3:22 UTC (permalink / raw
  To: gentoo-commits

commit:     a70a70cb502c14c355ab40194ed7f238b5839191
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 27 03:18:30 2016 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Tue Sep 27 03:18:30 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a70a70cb

www-plugins/freshplayerplugin: Revision bump to include new adobe-flash slot

Package-Manager: portage-2.3.1

 .../freshplayerplugin-0.3.5-r1.ebuild              | 86 ++++++++++++++++++++++
 1 file changed, 86 insertions(+)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r1.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r1.ebuild
new file mode 100644
index 00000000..29ef4d6
--- /dev/null
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.5-r1.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+CMAKE_MIN_VERSION="2.8.8"
+
+inherit cmake-utils
+
+LICENSE="MIT"
+HOMEPAGE="https://github.com/i-rinat/freshplayerplugin"
+DESCRIPTION="PPAPI-host NPAPI-plugin adapter for flashplayer in npapi based browsers"
+SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SLOT=0
+IUSE="gles2 gtk3 jack libav libressl pulseaudio v4l vaapi vdpau"
+
+KEYWORDS="~amd64"
+
+HWDEC_DEPEND="
+	libav? ( media-video/libav:0=[vaapi?,vdpau?] )
+	!libav? ( media-video/ffmpeg:0=[vaapi?,vdpau?] )
+	x11-libs/libva
+	x11-libs/libvdpau
+"
+
+COMMON_DEPEND="
+	dev-libs/glib:2=
+	dev-libs/icu:0=
+	dev-libs/libevent:=[threads]
+	media-libs/alsa-lib:=
+	media-libs/freetype:2=
+	media-libs/mesa:=[egl,gles2?]
+	x11-libs/cairo:=[X]
+	x11-libs/libXcursor:=
+	x11-libs/libXrandr:=
+	x11-libs/libXrender:=
+	x11-libs/libdrm:=
+	x11-libs/pango:=[X]
+	jack? (
+		media-sound/jack-audio-connection-kit
+		media-libs/soxr
+	)
+	pulseaudio? ( media-sound/pulseaudio )
+	!gtk3? ( x11-libs/gtk+:2= )
+	gtk3? ( x11-libs/gtk+:3= )
+	libressl? ( dev-libs/libressl:0= )
+	!libressl? ( dev-libs/openssl:0= )
+	v4l? ( media-libs/libv4l:0= )
+	vaapi? ( ${HWDEC_DEPEND} )
+	vdpau? ( ${HWDEC_DEPEND} )
+"
+
+DEPEND="${COMMON_DEPEND}
+	dev-util/ragel
+	virtual/pkgconfig
+	"
+RDEPEND="${COMMON_DEPEND}
+	|| (
+		www-plugins/chrome-binary-plugins[flash]
+		www-client/google-chrome
+		www-client/google-chrome-beta
+		www-client/google-chrome-unstable
+		www-plugins/adobe-flash:22
+	)
+	"
+
+PATCHES=( "${FILESDIR}/0.3.5-cmake.patch" "${FILESDIR}/0.3.4-git-revision.patch" )
+DOCS=( ChangeLog data/freshwrapper.conf.example README.md )
+
+src_configure() {
+	mycmakeargs=(
+		-DWITH_JACK=$(usex jack)
+		-DWITH_PULSEAUDIO=$(usex pulseaudio)
+		-DWITH_GTK=$(usex gtk3 3 2)
+		-DWITH_GLES2=$(usex gles2)
+		-DWITH_LIBV4L2=$(usex v4l)
+		-DCMAKE_SKIP_RPATH=1
+	)
+	if use vaapi || use vdpau ; then
+		mycmakeargs+=( -DWITH_HWDEC=1 )
+	else
+		mycmakeargs+=( -DWITH_HWDEC=0 )
+	fi
+	cmake-utils_src_configure
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2016-03-03 13:42 Brian Evans
  0 siblings, 0 replies; 20+ messages in thread
From: Brian Evans @ 2016-03-03 13:42 UTC (permalink / raw
  To: gentoo-commits

commit:     f3dd4cdc50f844b8165b9b273c2613cc3dafe33a
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  3 13:42:11 2016 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Thu Mar  3 13:42:11 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3dd4cdc

www-plugins/freshplayerplugin: Drop x86 keyword

chrome-binary-plugins no longer supports x86, only amd64

Package-Manager: portage-2.2.27

 www-plugins/freshplayerplugin/freshplayerplugin-0.3.1-r2.ebuild | 4 ++--
 www-plugins/freshplayerplugin/freshplayerplugin-0.3.2.ebuild    | 4 ++--
 www-plugins/freshplayerplugin/freshplayerplugin-0.3.3-r1.ebuild | 4 ++--
 www-plugins/freshplayerplugin/freshplayerplugin-0.3.3-r2.ebuild | 4 ++--
 www-plugins/freshplayerplugin/freshplayerplugin-0.3.3.ebuild    | 4 ++--
 www-plugins/freshplayerplugin/freshplayerplugin-0.3.4-r1.ebuild | 4 ++--
 www-plugins/freshplayerplugin/freshplayerplugin-0.3.4.ebuild    | 4 ++--
 7 files changed, 14 insertions(+), 14 deletions(-)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.1-r2.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.1-r2.ebuild
index b01fdf3..37178d4 100644
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.1-r2.ebuild
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.1-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 # $Id$
@@ -16,7 +16,7 @@ SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 SLOT=0
 IUSE="gtk3 jack libav pulseaudio vaapi vdpau"
 
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64"
 
 HWDEC_DEPEND="
 	libav? ( media-video/libav:0=[vaapi?,vdpau?,x264] )

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.2.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.2.ebuild
index 2a2d362..3bb24e7 100644
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.2.ebuild
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -15,7 +15,7 @@ SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 SLOT=0
 IUSE="gtk3 jack libav pulseaudio vaapi vdpau"
 
-KEYWORDS="amd64 x86"
+KEYWORDS="amd64"
 
 HWDEC_DEPEND="
 	libav? ( media-video/libav:0=[vaapi?,vdpau?,x264] )

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3-r1.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3-r1.ebuild
index 6f410bd..e76462e 100644
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3-r1.ebuild
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -15,7 +15,7 @@ SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 SLOT=0
 IUSE="gtk3 jack libav libressl pulseaudio vaapi vdpau"
 
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64"
 
 HWDEC_DEPEND="
 	libav? ( media-video/libav:0=[vaapi?,vdpau?,x264] )

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3-r2.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3-r2.ebuild
index 026762b..92826ab 100644
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3-r2.ebuild
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -15,7 +15,7 @@ SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 SLOT=0
 IUSE="gtk3 jack libav libressl pulseaudio vaapi vdpau"
 
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64"
 
 HWDEC_DEPEND="
 	libav? ( media-video/libav:0=[vaapi?,vdpau?,x264] )

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3.ebuild
index 5bfcf03..9f4ad2a 100644
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3.ebuild
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -15,7 +15,7 @@ SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 SLOT=0
 IUSE="gtk3 jack libav pulseaudio vaapi vdpau"
 
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64"
 
 HWDEC_DEPEND="
 	libav? ( media-video/libav:0=[vaapi?,vdpau?,x264] )

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.4-r1.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.4-r1.ebuild
index 5c5f5c1..eb274b9 100644
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.4-r1.ebuild
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.4-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -15,7 +15,7 @@ SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 SLOT=0
 IUSE="gles2 gtk3 jack libav libressl pulseaudio v4l vaapi vdpau"
 
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64"
 
 HWDEC_DEPEND="
 	libav? ( media-video/libav:0=[vaapi?,vdpau?] )

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.4.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.4.ebuild
index 3428e4c..3ece3f4 100644
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.4.ebuild
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -15,7 +15,7 @@ SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 SLOT=0
 IUSE="gtk3 jack libav libressl pulseaudio vaapi vdpau"
 
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64"
 
 HWDEC_DEPEND="
 	libav? ( media-video/libav:0=[vaapi?,vdpau?,x264] )


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2015-12-29  2:56 Brian Evans
  0 siblings, 0 replies; 20+ messages in thread
From: Brian Evans @ 2015-12-29  2:56 UTC (permalink / raw
  To: gentoo-commits

commit:     634168a2536a434aa51e93f03c7ca213d16827ba
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 29 02:56:11 2015 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Tue Dec 29 02:56:11 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=634168a2

www-plugins/freshplayerplugin: Revbump to fix dependencies wrt bug 569964

Package-Manager: portage-2.2.26

 .../freshplayerplugin-0.3.4-r1.ebuild              | 84 ++++++++++++++++++++++
 www-plugins/freshplayerplugin/metadata.xml         |  2 +
 2 files changed, 86 insertions(+)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.4-r1.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.4-r1.ebuild
new file mode 100644
index 0000000..5c5f5c1
--- /dev/null
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.4-r1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+CMAKE_MIN_VERSION="2.8.8"
+
+inherit cmake-utils multilib
+
+LICENSE="MIT"
+HOMEPAGE="https://github.com/i-rinat/freshplayerplugin"
+DESCRIPTION="PPAPI-host NPAPI-plugin adapter for flashplayer in npapi based browsers"
+SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SLOT=0
+IUSE="gles2 gtk3 jack libav libressl pulseaudio v4l vaapi vdpau"
+
+KEYWORDS="~amd64 ~x86"
+
+HWDEC_DEPEND="
+	libav? ( media-video/libav:0=[vaapi?,vdpau?] )
+	!libav? ( media-video/ffmpeg:0=[vaapi?,vdpau?] )
+	x11-libs/libva
+	x11-libs/libvdpau
+"
+
+COMMON_DEPEND="
+	dev-libs/glib:2=
+	dev-libs/libevent:=[threads]
+	media-libs/alsa-lib:=
+	media-libs/freetype:2=
+	media-libs/mesa:=[egl,gles2?]
+	x11-libs/cairo:=[X]
+	x11-libs/libXcursor:=
+	x11-libs/libXrandr:=
+	x11-libs/libXrender:=
+	x11-libs/libdrm:=
+	x11-libs/pango:=[X]
+	jack? (
+		media-sound/jack-audio-connection-kit
+		media-libs/soxr
+	)
+	pulseaudio? ( media-sound/pulseaudio )
+	!gtk3? ( x11-libs/gtk+:2= )
+	gtk3? ( x11-libs/gtk+:3= )
+	libressl? ( dev-libs/libressl:0= )
+	!libressl? ( dev-libs/openssl:0= )
+	v4l? ( media-libs/libv4l:0= )
+	vaapi? ( ${HWDEC_DEPEND} )
+	vdpau? ( ${HWDEC_DEPEND} )
+"
+
+DEPEND="${COMMON_DEPEND}
+	dev-util/ragel
+	virtual/pkgconfig
+	"
+RDEPEND="${COMMON_DEPEND}
+	|| (
+		www-plugins/chrome-binary-plugins[flash]
+		www-client/google-chrome
+		www-client/google-chrome-beta
+		www-client/google-chrome-unstable
+	)
+	"
+
+PATCHES=( "${FILESDIR}/0.3.4-cmake.patch" "${FILESDIR}/0.3.4-git-revision.patch" )
+DOCS=( ChangeLog data/freshwrapper.conf.example README.md )
+
+src_configure() {
+	mycmakeargs=(
+		-DWITH_JACK=$(usex jack)
+		-DWITH_PULSEAUDIO=$(usex pulseaudio)
+		-DWITH_GTK=$(usex gtk3 3 2)
+		-DWITH_GLES2=$(usex gles2)
+		-DWITH_LIBV4L2=$(usex v4l)
+		-DCMAKE_SKIP_RPATH=1
+	)
+	if use vaapi || use vdpau ; then
+		mycmakeargs+=( -DWITH_HWDEC=1 )
+	else
+		mycmakeargs+=( -DWITH_HWDEC=0 )
+	fi
+	cmake-utils_src_configure
+}

diff --git a/www-plugins/freshplayerplugin/metadata.xml b/www-plugins/freshplayerplugin/metadata.xml
index a2941a2..e515579 100644
--- a/www-plugins/freshplayerplugin/metadata.xml
+++ b/www-plugins/freshplayerplugin/metadata.xml
@@ -6,7 +6,9 @@
 		<name>Brian Evans</name>
 	</maintainer>
 	<use>
+		<flag name="gles2">Use system GLESv2 libraries instead of ANGLE for shader translation</flag>
 		<flag name="gtk3">Build with GTK+ 3 instead of GTK+ 2</flag>
+		<flag name="v4l">Use libv4l2 for colorspace conversion</flag>
 	</use>
 	<upstream>
 		<remote-id type="github">i-rinat/freshplayerplugin</remote-id>


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2015-10-30  9:18 Agostino Sarubbo
  0 siblings, 0 replies; 20+ messages in thread
From: Agostino Sarubbo @ 2015-10-30  9:18 UTC (permalink / raw
  To: gentoo-commits

commit:     cd6737640fe81fb8bdb5b785aa2111314b743cfe
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 30 09:16:57 2015 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Fri Oct 30 09:16:57 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd673764

www-plugins/freshplayerplugin: amd64 stable wrt bug #562176

Package-Manager: portage-2.2.20.1
RepoMan-Options: --include-arches="amd64"

 www-plugins/freshplayerplugin/freshplayerplugin-0.3.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.2.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.2.ebuild
index b6fad66..35da368 100644
--- a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.2.ebuild
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.2.ebuild
@@ -15,7 +15,7 @@ SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 SLOT=0
 IUSE="gtk3 jack libav pulseaudio vaapi vdpau"
 
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
 
 HWDEC_DEPEND="
 	libav? ( media-video/libav:0=[vaapi?,vdpau?,x264] )


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2015-10-12  2:49 Brian Evans
  0 siblings, 0 replies; 20+ messages in thread
From: Brian Evans @ 2015-10-12  2:49 UTC (permalink / raw
  To: gentoo-commits

commit:     db7ad056226b6349ae10f6653f3f9ba4893b00b4
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 12 02:49:14 2015 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Mon Oct 12 02:49:14 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db7ad056

www-plugins/freshplayerplugin: Add libressl support

Package-Manager: portage-2.2.20.1

 .../freshplayerplugin-0.3.3-r1.ebuild              | 82 ++++++++++++++++++++++
 1 file changed, 82 insertions(+)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3-r1.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3-r1.ebuild
new file mode 100644
index 0000000..6f410bd
--- /dev/null
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3-r1.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+CMAKE_MIN_VERSION="2.8.8"
+
+inherit cmake-utils multilib
+
+LICENSE="MIT"
+HOMEPAGE="https://github.com/i-rinat/freshplayerplugin"
+DESCRIPTION="PPAPI-host NPAPI-plugin adapter for flashplayer in npapi based browsers"
+SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SLOT=0
+IUSE="gtk3 jack libav libressl pulseaudio vaapi vdpau"
+
+KEYWORDS="~amd64 ~x86"
+
+HWDEC_DEPEND="
+	libav? ( media-video/libav:0=[vaapi?,vdpau?,x264] )
+	!libav? ( media-video/ffmpeg:0=[vaapi?,vdpau?,x264] )
+	x11-libs/libva
+	x11-libs/libvdpau
+"
+
+CDEPEND="
+	dev-libs/glib:2=
+	dev-libs/libevent:=[threads]
+	media-libs/alsa-lib:=
+	media-libs/freetype:2=
+	media-libs/libv4l:0=
+	media-libs/mesa:=[egl,gles2]
+	x11-libs/libXrandr:=
+	x11-libs/libXrender:=
+	x11-libs/libdrm:=
+	x11-libs/pango:=[X]
+	jack? ( media-sound/jack-audio-connection-kit )
+	pulseaudio? ( media-sound/pulseaudio )
+	!gtk3? ( x11-libs/gtk+:2= )
+	gtk3? ( x11-libs/gtk+:3= )
+	libressl? ( dev-libs/libressl:0= )
+	!libressl? ( dev-libs/openssl:0= )
+	vaapi? ( ${HWDEC_DEPEND} )
+	vdpau? ( ${HWDEC_DEPEND} )
+"
+
+DEPEND="${CDEPEND}
+	dev-util/ragel
+	virtual/pkgconfig
+	"
+RDEPEND="${CDEPEND}
+	|| (
+		www-plugins/chrome-binary-plugins[flash]
+		www-client/google-chrome
+		www-client/google-chrome-beta
+		www-client/google-chrome-unstable
+	)
+	"
+
+PATCHES=( "${FILESDIR}/0.2.4-cmake.patch" )
+
+src_configure() {
+	mycmakeargs=(
+		$(cmake-utils_use_with jack JACK)
+		$(cmake-utils_use_with pulseaudio PULSEAUDIO)
+		-DWITH_GTK=$(usex gtk3 3 2)
+		-DCMAKE_SKIP_RPATH=1
+	)
+	if use vaapi || use vdpau ; then
+		mycmakeargs+=( -DWITH_HWDEC=1 )
+	else
+		mycmakeargs+=( -DWITH_HWDEC=0 )
+	fi
+	cmake-utils_src_configure
+}
+
+src_install() {
+	dodoc ChangeLog data/freshwrapper.conf.example README.md
+	exeinto /usr/$(get_libdir)/nsbrowser/plugins
+	doexe "${BUILD_DIR}/libfreshwrapper-flashplayer.so"
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2015-10-08  2:01 Brian Evans
  0 siblings, 0 replies; 20+ messages in thread
From: Brian Evans @ 2015-10-08  2:01 UTC (permalink / raw
  To: gentoo-commits

commit:     b35e8d04b624a70ba54e770e79f444859b058542
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Thu Oct  8 02:00:43 2015 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Thu Oct  8 02:00:43 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b35e8d04

www-plugins/freshplayerplugin: Version bump wrt bug 562496

Package-Manager: portage-2.2.20.1

 www-plugins/freshplayerplugin/Manifest             |  1 +
 .../freshplayerplugin-0.3.3.ebuild                 | 81 ++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/www-plugins/freshplayerplugin/Manifest b/www-plugins/freshplayerplugin/Manifest
index 0c22414..2b411b8 100644
--- a/www-plugins/freshplayerplugin/Manifest
+++ b/www-plugins/freshplayerplugin/Manifest
@@ -1,2 +1,3 @@
 DIST freshplayerplugin-0.3.1.tar.gz 2711793 SHA256 4ed582896fff618d8025dd51bbf2fae0c5e36e2875065acc536b2c76befb593c SHA512 78e87548ecd758ad9ff0dab59b1b2f68b8b9a639ff19de08046a7090ab51d87f0e4c879b1b0075151ff17642d50ff937e199733c55c4a9cff94599fd98eae9de WHIRLPOOL d8be949cc9a2087d8f62fcfb4a1786d68574a5ec52dccc45da06df9838ee84e8dd4d7f3c3f86703e428df1b3f4d6d75c1e87d0809d3f78550a16ed278d51b211
 DIST freshplayerplugin-0.3.2.tar.gz 2713241 SHA256 b3687b9d67ab88c64fea32b17f281f142bf861e33d9135b00da5d90d385d9ce5 SHA512 9c908ce1a168c0797dc3b0da8e98d722cc32d729acb1c4a8f38b7e95c23fe870baabe4b3f8790d021711578fdb9a61f44aba27cebb924fec9aabcf8cd91323e5 WHIRLPOOL 2e9b78bcc3605409ec6853caf31aab03658c044e0d05449a620b31261323856503db8db960db9992d6db4fd61df8f9feb05800124c2f4a450c4ff65b22fc7c34
+DIST freshplayerplugin-0.3.3.tar.gz 2722467 SHA256 0dc20d6ca083b24225d8bbab88be1ed483034bde71eb360962de47cdb2e51f00 SHA512 ae85adb7e894adf8c1cd4228d15975c9d5fefdb6c6d3aa90e65d93865996c787f6378eb145f35ed348db67cec0adad794b78a0f77519236c28082630ad3756bc WHIRLPOOL 3e9694738d5e926b44588560b2a6bf50eeeefc35855722bda2494a9d08bd11c8ed844791cdd8a312592be0ef002d3ee6b1c7fc090bbd94ca438ccc8a148eac99

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3.ebuild
new file mode 100644
index 0000000..5bfcf03
--- /dev/null
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.3.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+CMAKE_MIN_VERSION="2.8.8"
+
+inherit cmake-utils multilib
+
+LICENSE="MIT"
+HOMEPAGE="https://github.com/i-rinat/freshplayerplugin"
+DESCRIPTION="PPAPI-host NPAPI-plugin adapter for flashplayer in npapi based browsers"
+SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SLOT=0
+IUSE="gtk3 jack libav pulseaudio vaapi vdpau"
+
+KEYWORDS="~amd64 ~x86"
+
+HWDEC_DEPEND="
+	libav? ( media-video/libav:0=[vaapi?,vdpau?,x264] )
+	!libav? ( media-video/ffmpeg:0=[vaapi?,vdpau?,x264] )
+	x11-libs/libva
+	x11-libs/libvdpau
+"
+
+CDEPEND="
+	dev-libs/glib:2=
+	dev-libs/libevent:=[threads]
+	dev-libs/openssl:0=
+	media-libs/alsa-lib:=
+	media-libs/freetype:2=
+	media-libs/libv4l:0=
+	media-libs/mesa:=[egl,gles2]
+	x11-libs/libXrandr:=
+	x11-libs/libXrender:=
+	x11-libs/libdrm:=
+	x11-libs/pango:=[X]
+	jack? ( media-sound/jack-audio-connection-kit )
+	pulseaudio? ( media-sound/pulseaudio )
+	!gtk3? ( x11-libs/gtk+:2= )
+	gtk3? ( x11-libs/gtk+:3= )
+	vaapi? ( ${HWDEC_DEPEND} )
+	vdpau? ( ${HWDEC_DEPEND} )
+"
+
+DEPEND="${CDEPEND}
+	dev-util/ragel
+	virtual/pkgconfig
+	"
+RDEPEND="${CDEPEND}
+	|| (
+		www-plugins/chrome-binary-plugins[flash]
+		www-client/google-chrome
+		www-client/google-chrome-beta
+		www-client/google-chrome-unstable
+	)
+	"
+
+PATCHES=( "${FILESDIR}/0.2.4-cmake.patch" )
+
+src_configure() {
+	mycmakeargs=(
+		$(cmake-utils_use_with jack JACK)
+		$(cmake-utils_use_with pulseaudio PULSEAUDIO)
+		-DWITH_GTK=$(usex gtk3 3 2)
+		-DCMAKE_SKIP_RPATH=1
+	)
+	if use vaapi || use vdpau ; then
+		mycmakeargs+=( -DWITH_HWDEC=1 )
+	else
+		mycmakeargs+=( -DWITH_HWDEC=0 )
+	fi
+	cmake-utils_src_configure
+}
+
+src_install() {
+	dodoc ChangeLog data/freshwrapper.conf.example README.md
+	exeinto /usr/$(get_libdir)/nsbrowser/plugins
+	doexe "${BUILD_DIR}/libfreshwrapper-flashplayer.so"
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/
@ 2015-08-22  2:09 Brian Evans
  0 siblings, 0 replies; 20+ messages in thread
From: Brian Evans @ 2015-08-22  2:09 UTC (permalink / raw
  To: gentoo-commits

commit:     95e3dae3c99e34cd523dc3a952dd9c210071121f
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 22 02:08:50 2015 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Sat Aug 22 02:08:50 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95e3dae3

www-plugins/freshplayerplugin: Version bump

Package-Manager: portage-2.2.20.1

 www-plugins/freshplayerplugin/Manifest             |  1 +
 .../freshplayerplugin-0.3.2.ebuild                 | 82 ++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/www-plugins/freshplayerplugin/Manifest b/www-plugins/freshplayerplugin/Manifest
index 5971ccc..0c22414 100644
--- a/www-plugins/freshplayerplugin/Manifest
+++ b/www-plugins/freshplayerplugin/Manifest
@@ -1 +1,2 @@
 DIST freshplayerplugin-0.3.1.tar.gz 2711793 SHA256 4ed582896fff618d8025dd51bbf2fae0c5e36e2875065acc536b2c76befb593c SHA512 78e87548ecd758ad9ff0dab59b1b2f68b8b9a639ff19de08046a7090ab51d87f0e4c879b1b0075151ff17642d50ff937e199733c55c4a9cff94599fd98eae9de WHIRLPOOL d8be949cc9a2087d8f62fcfb4a1786d68574a5ec52dccc45da06df9838ee84e8dd4d7f3c3f86703e428df1b3f4d6d75c1e87d0809d3f78550a16ed278d51b211
+DIST freshplayerplugin-0.3.2.tar.gz 2713241 SHA256 b3687b9d67ab88c64fea32b17f281f142bf861e33d9135b00da5d90d385d9ce5 SHA512 9c908ce1a168c0797dc3b0da8e98d722cc32d729acb1c4a8f38b7e95c23fe870baabe4b3f8790d021711578fdb9a61f44aba27cebb924fec9aabcf8cd91323e5 WHIRLPOOL 2e9b78bcc3605409ec6853caf31aab03658c044e0d05449a620b31261323856503db8db960db9992d6db4fd61df8f9feb05800124c2f4a450c4ff65b22fc7c34

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.2.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.2.ebuild
new file mode 100644
index 0000000..b6fad66
--- /dev/null
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.2.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+CMAKE_MIN_VERSION="2.8.8"
+
+inherit cmake-utils multilib
+
+LICENSE="MIT"
+HOMEPAGE="https://github.com/i-rinat/freshplayerplugin"
+DESCRIPTION="PPAPI-host NPAPI-plugin adapter for flashplayer in npapi based browsers"
+SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SLOT=0
+IUSE="gtk3 jack libav pulseaudio vaapi vdpau"
+
+KEYWORDS="~amd64 ~x86"
+
+HWDEC_DEPEND="
+	libav? ( media-video/libav:0=[vaapi?,vdpau?,x264] )
+	!libav? ( media-video/ffmpeg:0=[vaapi?,vdpau?,x264] )
+	x11-libs/libva
+	x11-libs/libvdpau
+"
+
+CDEPEND="
+	dev-libs/glib:2=
+	dev-libs/libconfig:=
+	dev-libs/libevent:=[threads]
+	dev-libs/openssl:0=
+	media-libs/alsa-lib:=
+	media-libs/freetype:2=
+	media-libs/libv4l:0=
+	media-libs/mesa:=[egl,gles2]
+	x11-libs/libXrandr:=
+	x11-libs/libXrender:=
+	x11-libs/libdrm:=
+	x11-libs/pango:=[X]
+	jack? ( media-sound/jack-audio-connection-kit )
+	pulseaudio? ( media-sound/pulseaudio )
+	!gtk3? ( x11-libs/gtk+:2= )
+	gtk3? ( x11-libs/gtk+:3= )
+	vaapi? ( ${HWDEC_DEPEND} )
+	vdpau? ( ${HWDEC_DEPEND} )
+"
+
+DEPEND="${CDEPEND}
+	dev-util/ragel
+	virtual/pkgconfig
+	"
+RDEPEND="${CDEPEND}
+	|| (
+		www-plugins/chrome-binary-plugins[flash]
+		www-client/google-chrome
+		www-client/google-chrome-beta
+		www-client/google-chrome-unstable
+	)
+	"
+
+PATCHES=( "${FILESDIR}/0.2.4-cmake.patch" )
+
+src_configure() {
+	mycmakeargs=(
+		$(cmake-utils_use_with jack JACK)
+		$(cmake-utils_use_with pulseaudio PULSEAUDIO)
+		-DWITH_GTK=$(usex gtk3 3 2)
+		-DCMAKE_SKIP_RPATH=1
+	)
+	if use vaapi || use vdpau ; then
+		mycmakeargs+=( -DWITH_HWDEC=1 )
+	else
+		mycmakeargs+=( -DWITH_HWDEC=0 )
+	fi
+	cmake-utils_src_configure
+}
+
+src_install() {
+	dodoc ChangeLog data/freshwrapper.conf.example README.md
+	exeinto /usr/$(get_libdir)/nsbrowser/plugins
+	doexe "${BUILD_DIR}/libfreshwrapper-pepperflash.so"
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread

end of thread, other threads:[~2020-04-26  7:44 UTC | newest]

Thread overview: 20+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-12-19 19:07 [gentoo-commits] repo/gentoo:master commit in: www-plugins/freshplayerplugin/ Brian Evans
  -- strict thread matches above, loose matches on Subject: below --
2020-04-26  7:44 Mikle Kolyada
2020-04-03 14:57 Andreas Sturmlechner
2018-05-29  8:28 Mikle Kolyada
2018-05-25 17:35 Pacho Ramos
2018-05-05 19:43 Brian Evans
2017-07-10  0:21 Brian Evans
2016-12-23 10:11 Johannes Huber
2016-11-10  4:13 Brian Evans
2016-10-13 19:07 Brian Evans
2016-10-13 19:07 Brian Evans
2016-10-13 19:07 Brian Evans
2016-10-13 18:14 Brian Evans
2016-09-27  3:22 Brian Evans
2016-03-03 13:42 Brian Evans
2015-12-29  2:56 Brian Evans
2015-10-30  9:18 Agostino Sarubbo
2015-10-12  2:49 Brian Evans
2015-10-08  2:01 Brian Evans
2015-08-22  2:09 Brian Evans

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox